Package org.apache.sling.distribution.journal.impl.precondition

## Class DefaultPrecondition

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.precondition.DefaultPrecondition

All Implemented Interfaces:
  `Precondition`

    public class DefaultPrecondition
    extends Object
    implements Precondition

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.distribution.journal.impl.precondition.Precondition

`Precondition.Decision`

### Constructor Summary

Constructors
`DefaultPrecondition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Precondition.Decision` `canProcess​(String subAgentName, long pkgOffset)` Checks if a package can be processed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPrecondition

    public DefaultPrecondition()

### Method Detail

#### canProcess

    public Precondition.Decision canProcess​(String subAgentName,
                                            long pkgOffset)

Description copied from interface: `Precondition`
Checks if a package can be processed

Specified by:
  `canProcess` in interface `Precondition`